/*
 *  $Id: filter.h,v 1.1.1.1 2004/12/30 22:44:04 lordjaxom Exp $
 */

#ifndef VDR_STREAMDEV_FILTER_H
#define VDR_STREAMDEV_FILTER_H

#include <vdr/config.h>

#	if VDRVERSNUM >= 10300

#include <vdr/tools.h>
#include <vdr/thread.h>

class cTSBuffer;
class cStreamdevFilter;

class cStreamdevFilters: public cList<cStreamdevFilter>, public cThread {
private:
	bool               m_Active;
	cTSBuffer         *m_TSBuffer;
	
protected:
	virtual void Action(void);

	void CarbageCollect(void);

public:
	cStreamdevFilters(void);
	virtual ~cStreamdevFilters();

	int OpenFilter(u_short Pid, u_char Tid, u_char Mask);
	void SetConnection(int Handle);
};

#	endif // VDRVERSNUM >= 10300
#endif // VDR_STREAMDEV_FILTER_H
